Subject: bug#62162: 29.0.60; xref.el doesn't compile on Emacs 26, because multi-pair setq-local

From: João Távora <[email-masked]>
Date: Mon, 13 Mar 2023 23:38:54 +0000

reopen 62162
thanks

Juri Linkov <[email-masked]> writes:

> close 62162 29.0.60
> thanks
>
>> I'm reasonably sure that one of the failures has to do with a multi-pair
>> call to `setq-local` in xref.el which appeared in this commit
>>
>>   commit 3573ebfa6d94411257ffefdf9eb72f508dbe502c
>>   Author: Juri Linkov <[email-masked]>
>>   Date:   Wed Nov 23 10:38:28 2022 +0200
>>
>> That construct should not be used in xref.el because it isn't available
>> on Emacs 26, which xref purports to require.  In turn, this breaks Eglot
>> (and any other packge requiring xref) on those platforms.
>
> Now this is fixed in emacs-29.  

Thanks but, I think this should have been fixed in master instead,
because that's where the :core packages are built from, AFAIK, and
emacs-29 doesn't have a problem with that construct.  It'll make no
difference soon enough, hopefully.

> I hope Dmitry will decide when to bump the xref package version.

I think you could have bumped the version, too.  Is there any reason not
to?

Closing this is premature, as the problem stands: the upcoming Eglot
1.12 will have this problem on Emacs 26.  Re-opening.  I'll bump xref.el
myself in a day or so if no-one beats me to it, and then close.

João